summaryrefslogtreecommitdiff
path: root/antlr-script
diff options
context:
space:
mode:
authorCoprDistGit <infra@openeuler.org>2024-08-01 11:39:11 +0000
committerCoprDistGit <infra@openeuler.org>2024-08-01 11:39:11 +0000
commit923064d1cc9a23a071f42d7df7c837b4483648ee (patch)
tree2753db87abf9000efd4e909f7ca4a43e12445f51 /antlr-script
parentcf85438a939c6d853fbe171a501b01429095a388 (diff)
automatic import of antlropeneuler24.03_LTSopeneuler23.09
Diffstat (limited to 'antlr-script')
-rw-r--r--antlr-script25
1 files changed, 25 insertions, 0 deletions
diff --git a/antlr-script b/antlr-script
new file mode 100644
index 0000000..6389106
--- /dev/null
+++ b/antlr-script
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# antlr script
+# JPackage Project <http://www.jpackage.org/>
+
+# Source functions library
+if [ -f /usr/share/java-utils/java-functions ] ; then
+ . /usr/share/java-utils/java-functions
+else
+ echo "Can't find functions library, aborting"
+ exit 1
+fi
+
+# Configuration
+MAIN_CLASS="antlr.Tool"
+BASE_FLAGS=""
+BASE_JARS="antlr.jar"
+
+# Set parameters
+set_jvm
+set_classpath $BASE_JARS
+set_flags $BASE_FLAGS
+
+# Let's start
+run "$@"